#ifndef DECODENAV_H
#define DECODENAV_H

#include "comtyp.h"

/* decode RINEX NAV header ---------------------------------------------------*/
void decode_navh(char *buff, nav_t *nav);

/* decode GNAV header --------------------------------------------------------*/
void decode_gnavh(char *buff, nav_t *nav);

/* decode GLONASS ephemeris --------------------------------------------------*/
int decode_geph(double ver, int sat, gtime_t toc, double *data,geph_t *geph);

/* decode GEO ephemeris ------------------------------------------------------*/
int decode_seph(double ver, int sat, gtime_t toc, double *data,seph_t *seph);

/* decode ephemeris ----------------------------------------------------------*/
int decode_eph(double ver, int sat, gtime_t toc, const double *data,eph_t *eph);
#endif