#ifndef DECODEOBS_H
#define DECODEOBS_H
#include "comtyp.h"
#include <stdio.h>

/* decode RINEX observation data file header ---------------------------------*/
void decode_obsh(FILE *fp, char *buff, double ver, int *tsys,
                 char tobs[][MAXOBSTYPE][4],obs_t*  obs, nav_t *nav, sta_t *sta);

/* decode observation epoch --------------------------------------------------*/
int decode_obsepoch(FILE *fp, char *buff, double ver, gtime_t *time,
                    int *flag, int *sats);

/* decode observation data ---------------------------------------------------*/
int decode_obsdata(FILE *fp, char *buff, double ver, int mask,
                   sigind_t *index, obsd_t *obs);

#endif